html {
    font-family: "Orbitron", sans-serif;
    font-size: 1em;
    scroll-behavior: smooth;
}

header {
   background: linear-gradient(var(--Azulescuroespacial), var(--Roxoespacial), var(--Azulescuroespacial));
    color: #fff;
    width: 100%;
    margin: 0;
    padding: 5px 0;

    position: fixed; /* 👈 muda de sticky para fixed */
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;

    transition: transform 0.3s ease; /* animação suave */
}

footer {
    background: linear-gradient(var(--Azulescuroespacial), var(--Roxoespacial), var(--Azulescuroespacial));
    color: #ffff;
    text-align: center;
    font-weight: bold;
}



body {
    background-color: var(--Azulescuroespacial);
}

main {
    background: linear-gradient(var(--Azulescuroespacial), var(--petroleo), var(--Azulescuroespacial));
    padding: 1%;
    margin: auto;
    width: 90%;

    margin-top: 190px; /* 👈 mantém só esse */

    border-radius: 20px;
    box-shadow: 1px 1px 5px 0px var(--preto);
}

aside {
    background-color: var(--Roxoespacial);
    padding: 1%;
    margin: auto;
    width: 90%;
    margin-top: 1%;
    border-radius: 10px;
    box-shadow: 1px 1px 5px 0px var(--preto);
}

.descricao {
    text-align: center;
    color: var(--cinza);
    font-size: 1.1em;
    margin-bottom: 20px;
}

.menu {
    color: var(--Brancoazulado);
    background-color: var(--novrkazul);
    padding: 5px;
    border-radius: 10px;
    box-shadow: 0 0 10px var(--Azulneon);
    font-size: 1.3em;
    transition: 0.3s;
}

.menu:hover {
    box-shadow: 0 0 20px #39dc20;
    transform: scale(1.05);
}

.preco {
    background-color: var(--Amarelolaranja);
    color: black;
    padding: 5px 10px;
    border-radius: 8px;
    font-weight: bold;
}

.btn-pedir {
    display: block;
    margin: 10px auto 0;
    padding: 8px;
    text-align: center;
    background: var(--Azulneon);
    color: black;
    border-radius: 8px;
    font-weight: bold;
    transition: 0.3s;
}

.btn-pedir:hover {
    background: #39dc20;
    color: #000;
    transform: scale(1.05);
}


button {
    padding: 8px 20px 8px 20px;
    background-color: #39dc20;
    color: #fff;
    border-radius: 10px;
    font-weight: bold;
    font-size: 1.3em;
    display: block;
    margin: auto;
    transition: 0.4s ease;
}

button:hover {
    background-color: #39dc20;
    text-shadow: 1px 1px var(--preto);
}

nav {
    display: block;
    text-align: center;
    padding: 5px;
    font-size: 1.3em;
}

a {
    text-decoration: none;
    color: var(--Brancoazulado);
    font-weight: bold;
}

a:hover {
    color: #39dc20;
}



#topo {
    width: 250px; /* diminui o tamanho */
    height: auto; /* 👈 ESSENCIAL */
    display: block;
    margin: 1px auto;
}

#refeicoes {
    scroll-margin-top: -50px;
}

#rodape {
    width: 275px;
    height: 275px;
    display: block;
    margin: auto;
}


.separador {
    margin-top: 10%;
}

.separador-conteudo {
    margin-top: 0.5%;
}

.grid-conteudo {
    background-color: var(--novrkazul);
    border-radius: 20px;
    padding: 0.5%;
}

.separador-conteudo-opcoes {
    margin-top: 10%;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    max-width: 820px;
    margin: auto;
    padding: 10px;
    gap: 10px;
}

.grid div {
    background-color: var(--vovazul);
    text-align: center;
    padding: 20px;
    border-radius: 20px;
    box-shadow: 1px 1px 5px 0px var(--preto);

    opacity: 0;
    transform: translateY(20px);
    animation: aparecer 0.6s ease forwards;
}

.grid div:nth-child(1) { animation-delay: 0.1s; }
.grid div:nth-child(2) { animation-delay: 0.2s; }
.grid div:nth-child(3) { animation-delay: 0.3s; }
.grid div:nth-child(4) { animation-delay: 0.4s; }
.grid div:nth-child(5) { animation-delay: 0.5s; }
.grid div:nth-child(6) { animation-delay: 0.6s; }

@keyframes aparecer {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.grid img {
    transition: 0.3s;
}

.grid img:hover {
    transform: scale(1.02);
}



h1 {
    font-size: 2.8em;
    padding-top: 0.5%;
    padding-bottom: 0.5%;
    margin-top: 3%;
    text-align: center;
    color: var(--Brancoazulado);
    font-family: "Alkatra", system-ui;
    text-shadow: 1px 1px 1px var(--corprojeto6);
    font-family: "Orbitron", sans-serif;
}

h2 {
    font-size: 1.8em;
    padding-top: 0.5%;
    padding-bottom: 0.5%;
    color: var(--Brancoazulado);
    text-align: center;
    text-shadow: 0px 1px 1px var(--vovazul);
    font-style: italic;
}

h3 {
    font-size: 1.5em;
    padding-top: 0.5%;
    padding-bottom: 0.5%;
    font-family: "Orbitron", sans-serif;
}

h4 {
    font-size: 1em;
    padding-top: 0.5%;
    padding-bottom: 0.5%;
    font-family: "Orbitron", sans-serif;
}

img {
    width: 95%;
    padding-top: 2%;
    border-radius: 20px;
    align-items: center;
}



p {
    padding: 1%;
    padding-bottom: 1%;
    
}

#whats {
    width: 60px;
    height: 90px;

    position: fixed;
    right: 85px;
    bottom: 60px;

    text-align: center;

    z-index: 2000; /* 👈 resolve o problema principal */

    margin: 0; /* 👈 remove o bug */

    cursor: pointer;
    
}



:root {
    --preto: #000;
    --branco: #fff;
    --cinza: #909090;

    --Brancoazulado: rgba(220, 240, 255, 1);
--Azulescuroespacial: rgba(10, 10, 40, 1);
--Rosaroxoneon: rgba(180, 0, 255, 1);
--Azulneon: rgba(0, 200, 255, 1);
--Roxoespacial: rgba(75, 0, 130, 1);
--Amarelolaranja: rgba(255, 170, 0, 1);

    --vovazul: #505be6;
    --novrkazul: #271198;
    --petroleo: #121d30;
    --petroclaro: #224d75;
    --roxo: #4f229e;
    --violeta: #9c1feb;
}